Subject: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 05 Dec 2021 17:29:25 -0800

Michael Heerdegen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> I can switch the test to be something more explicit, but how about --
>> bear with me here -- making `gnus-summary-line-format' a group
>> parameter? It's something I've been thinking about for a while. It would
>> be really nice to be able to give different groups different summary
>> appearances. And it would allow Michael and everyone else to use a
>> separate format string for groups like debbugs or whatnot, that are
>> often opened without Gnus actually being running.
>>
>> WDYT?
>
> I have no strong opinion, but - why not, could be useful.  I don't think
> this will spare a fix for this issue though.  Because, AFAIR this
> registry -> nil thing has several reincarnations in debbugs.

But we could probably provide a default option value for debbugs groups,
so that most users wouldn't even realize that they had a different
format value for those groups.